summaryrefslogtreecommitdiffstats
path: root/tests/run.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/run.sh')
-rwxr-xr-xtests/run.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/tests/run.sh b/tests/run.sh
index c21c3fd7..daf23946 100755
--- a/tests/run.sh
+++ b/tests/run.sh
@@ -30,6 +30,7 @@ DOCTOR_PW=doctor
DOCTOR_PROJECT=doctor
DOCTOR_ROLE=_member_
PROFILER_TYPE=${PROFILER_TYPE:-none}
+PYTHON_ENABLE=${PYTHON_ENABLE:-false}
TOP_DIR=$(cd $(dirname "$0") && pwd)
@@ -480,6 +481,13 @@ cleanup() {
# Main process
+if $PYTHON_ENABLE; then
+ cd $TOP_DIR
+ echo "executing tox..."
+ tox
+ exit $?
+fi
+
echo "Note: doctor/tests/run.sh has been executed."
git log --oneline -1 || true # ignore even you don't have git installed